<?php
/**
 * PHP Integration of Open Flash Chart
 *
 * @version		$Id: OFC_Elements_Axis_X_Label_Set.php 110 2009-06-16 10:37:28Z eddieajau $
 * @copyright	Copyright (C) 2008 John Glazebrook <open-flash-chart@teethgrinder.co.uk>
 * @license		GNU Lesser General Public License version 2.1 or later.
 * @link		http://teethgrinder.co.uk/open-flash-chart-2/
 */

defined('PATH_OFC') or die;

/**
 * @package		OpenFlashCharts
 */
class OFC_Elements_Axis_X_Label_Set
{
	public function set_steps($steps)
	{
		$this->steps = $steps;
	}

	/**
	 * An array of [x_axis_label or string]
	 */
	public function set_labels($labels)
	{
		$this->labels = $labels;
	}

	public function set_colour($value)
	{
		$this->colour = $value;
	}

	public function set_size($value)
	{
		$this->size = $value;
	}

	public function set_vertical()
	{
		$this->rotate = 'vertical';
	}
}
